﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using ScheduleSample.Models;
using Syncfusion.EJ2.Schedule;

namespace ScheduleSample.Controllers
{
    public class HomeController : Controller
    {   
        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";
            return View();
        }
        public ActionResult Index()

        {

            List<AppointmentData> appData = new List<AppointmentData>();
            appData.Add(new AppointmentData
            {
                Id = 1,
                Subject = "Explosion of Betelgeuse Star",
                StartTime = new DateTime(2019, 1, 11, 13, 30, 0),
                EndTime = new DateTime(2019, 1, 11, 15, 0, 0),
                CategoryColor = "#1aaa55"
            });
            appData.Add(new AppointmentData
            {
                Id = 1,
                Subject = "Not Available",
                StartTime = new DateTime(2019, 1, 11, 10, 0, 0),
                EndTime = new DateTime(2019, 1, 11, 12, 0, 0),
                IsAllDay = false,
                IsBlock = true,
            });
           

            ViewBag.datasource = appData;
            return View();
        }
    }
    public class AppointmentData
    {
        public int Id { get; set; }
        public string Subject { get; set; }
        public DateTime StartTime { get; set; }
        public DateTime EndTime { get; set; }
        public string CategoryColor { get; set; }
        public bool IsBlock { get; set; }
        public bool IsAllDay { get; set; }
    }

}
